> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Engagement

> Get engagement metrics for an email message.



## OpenAPI

````yaml get /email/messages/{message_id}/engagement
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /email/messages/{message_id}/engagement:
    get:
      tags:
        - provider
        - email
      summary: Get Message Engagement
      description: Get engagement metrics for an email message.
      operationId: get_message_engagement_email_messages__message_id__engagement_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: message_id
          in: path
          required: true
          schema:
            type: string
            title: Message Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailEngagementResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EmailEngagementResponse:
      properties:
        messageId:
          type: string
          title: Messageid
        openCount:
          type: integer
          title: Opencount
        uniqueOpenCount:
          type: integer
          title: Uniqueopencount
        clickCount:
          type: integer
          title: Clickcount
        uniqueClickCount:
          type: integer
          title: Uniqueclickcount
        firstOpenedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Firstopeneddate
        lastOpenedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastopeneddate
        firstClickedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Firstclickeddate
        lastClickedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastclickeddate
      type: object
      required:
        - messageId
        - openCount
        - uniqueOpenCount
        - clickCount
        - uniqueClickCount
        - firstOpenedDate
        - lastOpenedDate
        - firstClickedDate
        - lastClickedDate
      title: EmailEngagementResponse
      description: Engagement metrics for an email message.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````